﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Infragistics.Documents.Excel;
using System.Diagnostics;

namespace InfraExcelTestConsole
{
  class Program
  {
    static void Main(string[] args)
    {
      try
      {
        Console.WriteLine("Memory consumption: {0} KB", GC.GetTotalMemory(true) / 1024);
        Stopwatch w = new Stopwatch();
        w.Reset();
        w.Start();
        Workbook book = Workbook.Load("template_issue.xlsx");
        Console.WriteLine("Workbook loaded");
        Worksheet sheet = book.Worksheets["Early Termination VS"];
        WorksheetCell cell = sheet.GetCell("A1");
        cell.Value = "Change commited.";
        Console.WriteLine("Cell change committed");
        book.Save("template_tmp.xlsx");
        w.Stop();
        Console.WriteLine("--\nOperation finished.");
        Console.WriteLine("Time elapsed: {0}", w.Elapsed.ToString());
        Console.WriteLine("Memory consumption: {0} KB", GC.GetTotalMemory(false) / 1024);
        Console.WriteLine("Run garbage collection");
        Console.WriteLine("Memory consumption: {0} KB", GC.GetTotalMemory(true) / 1024);
        Console.ReadLine();
      }
      catch (Exception ex_)
      {
        Console.WriteLine(ex_.Message);
      }

    }
  }
}
